## CongServiceTool

CongServiceTool —

## Synopsis

    #define     CONG_SERVICE_TOOL               (obj)
    #define     CONG_SERVICE_TOOL_CLASS         (klass)
    #define     IS_CONG_SERVICE_TOOL            (obj)
    CongServiceTool* cong_service_tool_construct
                                                (CongServiceTool *tool,
                                                 const gchar *name,
                                                 const gchar *description,
                                                 const gchar *service_id,
                                                 const gchar *menu_text,
                                                 const gchar *tooltip_text,
                                                 const gchar *tooltip_further_text,
                                                 gpointer user_data);
    const gchar* cong_service_tool_get_menu_text
                                                (CongServiceTool *tool);
    const gchar* cong_service_tool_get_tip_text (CongServiceTool *tool);
    const gchar* cong_service_tool_get_tip_further_text
                                                (CongServiceTool *tool);
    gpointer    cong_service_tool_get_user_data (CongServiceTool *tool);

## Description

## Details

### CONG_SERVICE_TOOL()

    #define CONG_SERVICE_TOOL(obj)         G_TYPE_CHECK_INSTANCE_CAST (obj, CONG_SERVICE_TOOL_TYPE, CongServiceTool)

`obj` : |

### CONG_SERVICE_TOOL_CLASS()

    #define CONG_SERVICE_TOOL_CLASS(klass) G_TYPE_CHECK_CLASS_CAST (klass, CONG_SERVICE_TOOL_TYPE, CongServiceToolClass)

`klass` : |

### IS_CONG_SERVICE_TOOL()

    #define IS_CONG_SERVICE_TOOL(obj)      G_TYPE_CHECK_INSTANCE_TYPE (obj, CONG_SERVICE_TOOL_TYPE)

`obj` : |

### cong_service_tool_construct ()

    CongServiceTool* cong_service_tool_construct
                                                (CongServiceTool *tool,
                                                 const gchar *name,
                                                 const gchar *description,
                                                 const gchar *service_id,
                                                 const gchar *menu_text,
                                                 const gchar *tooltip_text,
                                                 const gchar *tooltip_further_text,
                                                 gpointer user_data);

TODO: Write me

`tool` : |
`name` : |
`description` : |
`service_id` : |
`menu_text` : |
`tooltip_text` : |
`tooltip_further_text` : |
`user_data` : |
Returns : |

### cong_service_tool_get_menu_text ()

    const gchar* cong_service_tool_get_menu_text
                                                (CongServiceTool *tool);

TODO: Write me

`tool` : |
Returns : |

### cong_service_tool_get_tip_text ()

    const gchar* cong_service_tool_get_tip_text (CongServiceTool *tool);

TODO: Write me

`tool` : |
Returns : |

### cong_service_tool_get_tip_further_text ()

    const gchar* cong_service_tool_get_tip_further_text
                                                (CongServiceTool *tool);

TODO: Write me

`tool` : |
Returns : |

### cong_service_tool_get_user_data ()

    gpointer    cong_service_tool_get_user_data (CongServiceTool *tool);

TODO: Write me

`tool` : |
Returns : |